# Uses of Class
com.usatiuk.dhfs.peerdiscovery.PeerDiscoveryInfo

Packages that use PeerDiscoveryInfo
Package
Description
com.usatiuk.dhfs.peerdiscovery

## Uses of PeerDiscoveryInfo in com.usatiuk.dhfs.peerdiscovery

Methods in com.usatiuk.dhfs.peerdiscovery that return PeerDiscoveryInfo
Modifier and Type
Method
Description
`PeerDiscoveryInfo`
PeerDiscoveryInfo.Builder.`build()`
`PeerDiscoveryInfo`
PeerDiscoveryInfo.Builder.`buildPartial()`
`static PeerDiscoveryInfo`
PeerDiscoveryInfo.`getDefaultInstance()`
`PeerDiscoveryInfo`
PeerDiscoveryInfo.Builder.`getDefaultInstanceForType()`
`PeerDiscoveryInfo`
PeerDiscoveryInfo.`getDefaultInstanceForType()`
`static PeerDiscoveryInfo`
PeerDiscoveryInfo.`parseDelimitedFrom(InputStream input)`
`static PeerDiscoveryInfo`
PeerDiscoveryInfo.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PeerDiscoveryInfo`
PeerDiscoveryInfo.`parseFrom(byte[] data)`
`static PeerDiscoveryInfo`
PeerDiscoveryInfo.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PeerDiscoveryInfo`
PeerDiscoveryInfo.`parseFrom(com.google.protobuf.ByteString data)`
`static PeerDiscoveryInfo`
PeerDiscoveryInfo.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PeerDiscoveryInfo`
PeerDiscoveryInfo.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static PeerDiscoveryInfo`
PeerDiscoveryInfo.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PeerDiscoveryInfo`
PeerDiscoveryInfo.`parseFrom(InputStream input)`
`static PeerDiscoveryInfo`
PeerDiscoveryInfo.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PeerDiscoveryInfo`
PeerDiscoveryInfo.`parseFrom(ByteBuffer data)`
`static PeerDiscoveryInfo`
PeerDiscoveryInfo.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
Methods in com.usatiuk.dhfs.peerdiscovery that return types with arguments of type PeerDiscoveryInfo
Modifier and Type
Method
Description
`com.google.protobuf.Parser<PeerDiscoveryInfo>`
PeerDiscoveryInfo.`getParserForType()`
`static com.google.protobuf.Parser<PeerDiscoveryInfo>`
PeerDiscoveryInfo.`parser()`
Methods in com.usatiuk.dhfs.peerdiscovery with parameters of type PeerDiscoveryInfo
Modifier and Type
Method
Description
`PeerDiscoveryInfo.Builder`
PeerDiscoveryInfo.Builder.`mergeFrom(PeerDiscoveryInfo other)`
`static PeerDiscoveryInfo.Builder`
PeerDiscoveryInfo.`newBuilder(PeerDiscoveryInfo prototype)`